Historic Analysis

This endpoint returns more complex historic series requests, including series value filters and aggregate options (see Enact's historic analysis tool).

Your monthly API usage will be incremented for each series requested and also for each filter applied. For example, if you requested two series and placed two value filters on one of them, then your API usage will be incremented by 4.

Request time zones are automatically recognised as Greenwich Mean Time (UTC) or British Summer Time (UTC+01:00), depending on whether the requested dates fall within daylight saving time. The time zone of the returned data can be set with the timeZone field and is UTC by default.

Note: In order to use the 'Try It!' console with the example request below, you will need to click 'ADD OBJECT' on the required seriesOptions field to add an instance populated with default values.

Body Params
seriesOptions
array of objects
required

The series to retrieve data for.

seriesOptions*
date-time
required
Defaults to 2023-10-01T00:00:00Z

The start of the date range to return data for.

date-time
required
Defaults to 2023-10-31T00:00:00Z

The end of the date range to return data for (inclusive).

filters
array of objects

Filters to apply to the returned data. For example, only return data when the daily maximum of Demand Outturn was greater than 45,000MW.

filters
string

The condition used to aggregtate the filters; "and" (default), "or".

aggregateOptions
object
string

The TimeZone of the returned data (UTC by default).

boolean
Defaults to false

Setting this to true will average values of the returned data for higher granularity series to half-hourly.

boolean
Defaults to false

Setting this to true will include rows in the return object where data is missing (this does not apply to days excluded by filters).

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json